% in traditional model
% FORT:forced outage rates table
% in a 18-unit each with 1.5MW system and for is 0.1 each define as
% COPT is
FOR= [0.1 0.2 0.1];
capacity = [10^4 2*10^4 3*10^4];
sizeca = size(capacity);
n = sizeca(2);
[cop copp] = coptf(FOR, capacity, n);


%load time series function 
load nyload.txt;

%LOLP is the probability that the load will
% exceed the available generation at a given time. This criterion
%only gives an indication of generation capacity shortfall and
%lacks information on the importance and duration of t,he outage.
sizeload = size(nyload);
for i=1:sizeload(1),
    lolpny(i) = lolpf(nyload(i), cop, copp);
end
%LOLE  is the expected number of hours or days, during
%which the load will not be met over a defined time period.
LOLE = mean(lolpny);


%add wind power

load windinland.txt;

windspeeddata_ny = windinland(:,end-1);

windpower_ny = power_production(windspeeddata_ny);
windpower_ny = windpower_ny./1e+06;

for j=1:8760,
    windpower_ny_hourly(j,:)= sum(windpower_ny(((6*(j-1)+1):(6*j)))); 
end

windpower_ny_hourly = (windpower_ny_hourly)./1e+06;
windpower_ny_hourly = (windpower_ny_hourly).*1e+04;


nyload_ww = nyload-windpower_ny_hourly;
for i=1:sizeload(1),
    lolpny_ww(i) = lolpf(nyload_ww(i), cop, copp);
end
%LOLE  is the expected number of hours or days, during
%which the load will not be met over a defined time period.
LOLE = mean(lolpny_ww);

